Package org.apache.sling.jcr.webdav.impl.handler

# Class SlingPropertyManager

java.lang.Object
org.apache.jackrabbit.server.io.PropertyManagerImpl
org.apache.sling.jcr.webdav.impl.handler.SlingPropertyManager

All Implemented Interfaces:
  `org.apache.jackrabbit.server.io.PropertyManager`

public class SlingPropertyManager extends org.apache.jackrabbit.server.io.PropertyManagerImpl
PropertyManager service that uses a ServiceTracker to find available PropertyHandler.

## Constructor Summary

Constructors
Constructor
Description
`SlingPropertyManager(String referenceName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPropertyHandler(org.apache.jackrabbit.server.io.PropertyHandler propertyHandler)`
`void`
`bindPropertyHandler(org.osgi.framework.ServiceReference propertyHandlerReference)`
`org.apache.jackrabbit.server.io.PropertyHandler[]`
`getPropertyHandlers()`
`void`
`setComponentContext(org.osgi.service.component.ComponentContext componentContext)`
`void`
`unbindPropertyHandler(org.osgi.framework.ServiceReference propertyHandlerReference)`

### Methods inherited from class org.apache.jackrabbit.server.io.PropertyManagerImpl

`alterProperties, exportProperties, getDefaultManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingPropertyManager

public SlingPropertyManager(String referenceName)

## Method Details

### addPropertyHandler

public void addPropertyHandler(org.apache.jackrabbit.server.io.PropertyHandler propertyHandler)

Specified by:
  `addPropertyHandler` in interface `org.apache.jackrabbit.server.io.PropertyManager`
Overrides:
  `addPropertyHandler` in class `org.apache.jackrabbit.server.io.PropertyManagerImpl`

### getPropertyHandlers

public org.apache.jackrabbit.server.io.PropertyHandler[] getPropertyHandlers()

Specified by:
  `getPropertyHandlers` in interface `org.apache.jackrabbit.server.io.PropertyManager`
Overrides:
  `getPropertyHandlers` in class `org.apache.jackrabbit.server.io.PropertyManagerImpl`

### setComponentContext

public void setComponentContext(org.osgi.service.component.ComponentContext componentContext)

### bindPropertyHandler

public void bindPropertyHandler(org.osgi.framework.ServiceReference propertyHandlerReference)

### unbindPropertyHandler

public void unbindPropertyHandler(org.osgi.framework.ServiceReference propertyHandlerReference)